using System;


class HelloWorld 
{
    static int pozicija_medijane(int n, int[] a, int b)
    {
        for(int i = 0; i < n; i++)
        {
            if(a[i] == b)
            {
                return i;
            }
        }
        return 0;
    }
    
    static void Main() 
    {
        string[] s = Console.ReadLine().Split(' ');
        int n = int.Parse(s[0]);
        int n1 = n;
        int q = int.Parse(s[1]);
        int[] a1 = new int[n];
        s = Console.ReadLine().Split(' ');
        for(int i = 0; i < n; i++)
        {
            a1[i] = int.Parse(s[i]);
        }
        Array.Sort(a1);
        int[] b = new int[q];
        s = Console.ReadLine().Split(' ');
        for(int i = 0; i < q; i++)
        {
            b[i] = int.Parse(s[i]);
        }
        
        for(int k = 0; k < q; k++)
        {
            int br = 0;
            n = n1;
            int[] a = new int[n+1];
            Array.Copy(a1, a, n);
            //Da li medijana pripada nizu a
            bool pripada = false;
            for(int i = 0; i < n; i++)
            {
                if(a[i] == b[k])
                {
                    pripada = true;
                }
            }
            if(!pripada)
            {
                a[n] = b[k];
                n++;
                br++;
                Array.Sort(a);
            }
            
            
            if(b[k] == a[n/2])
            {
                Console.WriteLine(br);
            }
            else
            {
                int levo = pozicija_medijane(n,a,b[k]), desno = n-1-levo;
                if(desno > levo)
                {
                    Console.WriteLine(br + desno - levo);
                }
                else if(desno < levo)
                {
                    Console.WriteLine(br + levo - desno - 1);
                }
            }
        }
    }
}